<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

/**
 | ----------------------------------------------------------------
 | Bootstrap
 | ----------------------------------------------------------------
 |
 | Place anything that needs to be configured/defined in this
 | file that needs to be set up before the plugin is
 | utilized by WordPress.
 |
 */

require_once 'constants/http-codes.php';
require_once 'constants/base.php';
require_once 'constants/rewrites.php';

if ( ! function_exists( 'nmsp_plugin_app' ) ) {
	function nmsp_plugin_app(): \PluginNamespace\App {
		return \PluginNamespace\App::get_instance();
	}
}
