<?php

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

/**
 | ----------------------------------------------------------------
 | URL Rewrite Definitions
 | ----------------------------------------------------------------
 |
 | These are rewrite definitions that are language dependent.
 | If new languages are added in WordPress, then you will
 | have to add them here as well. These will be saved
 | to the options table and reference a post ID.
 |
 */

const NMSP_PLUGIN_SLUG_REWRITE_NAMES = array(
	'NMSP_PLUGIN_SLUG_PAGE_NAME' => 'nmsp_plugin_slug_page_name',
);

foreach ( NMSP_PLUGIN_SLUG_REWRITE_NAMES as $page_slug => $page_name ) {
	if ( ! defined( $page_slug ) ) {
		define( $page_slug, $page_name );
	}
}
